// encoding.cpp
//
// Copyright (c) 2004-2006, Kim Roland Rasmussen <krr@elreki.net>
//
// Permission is hereby granted, free of charge, to any person
// obtaining a copy of this software and associated documentation files
// (the "Software"), to deal in the Software without restriction, including
// without limitation the rights to use, copy, modify, merge, publish,
// distribute, sublicense, and/or sell copies of the Software, and to permit
// persons to whom the Software is furnished to do so, subject to the 
// following conditions:
//
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
// IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
// CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
// TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
// SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//   

#include "encoding.hpp"


namespace swift
{


unsigned char const Encoding::ToValue[128] = {
    N, N, N, N, N, N, N, N, N, N, N, N, N, N, N, N, 
    N, N, N, N, N, N, N, N, N, N, N, N, N, N, N, N, 
    N, N, N, N, N, N, N, N, N, N, N, N, N, N, N, N, 
    N, N, N, N, N, N, N, N, N, N, N, N, N, N, N, N, 
    N, A, N, C, N, N, N, G, N, N, N, N, N, N, N, N, 
    N, N, N, N, T, N, N, N, N, N, N, N, N, N, N, N, 
    N, a, n, c, n, n, n, g, n, n, n, n, n, n, n, n, 
    n, n, n, n, t, n, n, n, n, n, n, N, N, N, N, N 
};


char const Encoding::ToChar[16] = {
    'A', 'C', 'G', 'T', 'a', 'c', 'g', 't',
    'N', 'N', 'N', 'N', 'n', 'n', 'n', 'n'
};


unsigned char const Encoding::Complement[16] = {
    T, G, C, A, t, g, c, a, N, N, N, N, n, n, n, n
};


} // namespace swift
